Package ghidra.app.util.viewer.field

# Class ListingColors

java.lang.Object
ghidra.app.util.viewer.field.ListingColors

public class ListingColors extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ListingColors.CommentColors`
  `static class`
  `ListingColors.FlowArrowColors`
  `static class`
  `ListingColors.FunctionColors`
  `static class`
  `ListingColors.LabelColors`
  `static class`
  `ListingColors.MaskColors`
  `static class`
  `ListingColors.MnemonicColors`
  `static class`
  `ListingColors.PcodeColors`
  `static class`
  `ListingColors.XrefColors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final GColor`
  `ADDRESS`
  `static final GColor`
  `ARRAY_VALUES`
  `static final GColor`
  `BACKGROUND`
  `static final GColor`
  `BLOCK_START`
  `static final GColor`
  `BYTES`
  `static final GColor`
  `BYTES_ALIGNMENT`
  `static final GColor`
  `CONSTANT`
  `static final GColor`
  `EXT_ENTRY_POINT`
  `static final GColor`
  `EXT_REF_RESOLVED`
  `static final GColor`
  `EXT_REF_UNRESOLVED`
  `static final GColor`
  `FIELD_NAME`
  `static final GColor`
  `PARALLEL_INSTRUCTION`
  `static final GColor`
  `REF_BAD`
  `static final GColor`
  `REGISTER`
  `static final GColor`
  `SEPARATOR`
  `static final GColor`
  `UNDERLINE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListingColors()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BACKGROUND

    public static final GColor BACKGROUND

  - ### ADDRESS

    public static final GColor ADDRESS

  - ### BYTES

    public static final GColor BYTES

  - ### EXT_ENTRY_POINT

    public static final GColor EXT_ENTRY_POINT

  - ### FIELD_NAME

    public static final GColor FIELD_NAME

  - ### SEPARATOR

    public static final GColor SEPARATOR

  - ### UNDERLINE

    public static final GColor UNDERLINE

  - ### ARRAY_VALUES

    public static final GColor ARRAY_VALUES

  - ### BYTES_ALIGNMENT

    public static final GColor BYTES_ALIGNMENT

  - ### BLOCK_START

    public static final GColor BLOCK_START

  - ### CONSTANT

    public static final GColor CONSTANT

  - ### REF_BAD

    public static final GColor REF_BAD

  - ### EXT_REF_UNRESOLVED

    public static final GColor EXT_REF_UNRESOLVED

  - ### EXT_REF_RESOLVED

    public static final GColor EXT_REF_RESOLVED

  - ### REGISTER

    public static final GColor REGISTER

  - ### PARALLEL_INSTRUCTION

    public static final GColor PARALLEL_INSTRUCTION

- ## Constructor Details

  - ### ListingColors

    public ListingColors()